Search for token
curl --request POST \
--url https://api.tokenlayer.network/functions/v1/search-token \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"input": "550e8400-e29b-41d4-a716-446655440000"
}
'import requests
url = "https://api.tokenlayer.network/functions/v1/search-token"
payload = { "input": "550e8400-e29b-41d4-a716-446655440000" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({input: '550e8400-e29b-41d4-a716-446655440000'})
};
fetch('https://api.tokenlayer.network/functions/v1/search-token', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"token": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"symbol": "<string>",
"slug": "<string>",
"logo": "<string>",
"banner_url": "<string>",
"video_url": "<string>",
"description": "<string>",
"token_layer_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"launch_post_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"total_posts_count": 1,
"total_media_count": 1,
"groups_count": 1,
"holders_count": 1,
"upvotes": 1,
"downvotes": 1,
"weighted_upvotes": 1,
"weighted_downvotes": 1,
"is_live": true,
"hashtags": [
"<string>"
],
"creator": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"username": "<string>",
"profile_picture": "<string>"
},
"market_cap": 123,
"token_addresses": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"token_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"address": "<string>",
"address_display": "<string>",
"chain": "<string>",
"platform_name": "<string>",
"is_registered": true,
"dex_name": "<string>",
"dex_address": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"launch_post": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"upvotes": 1,
"downvotes": 1,
"weighted_upvotes": 1,
"weighted_downvotes": 1
},
"price": 123,
"total_holder_count": 123,
"price_change_24h": 123,
"price_change_24h_percent": 123,
"volume_24h": 123
}
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}Tokens
Search for token
Search for a token by:
- Token UUID (internal token ID from tokens table)
- Token Layer ID (bytes32 format: 0x… with 64 hex characters)
- Contract address (0x… with 40 hex characters for EVM or base58 for Solana)
- Token symbol (uppercase, e.g., BTC, ETH)
- Token slug (url-friendly name, e.g., bitcoin, ethereum)
Returns enriched token data including price, market cap, and holder count.
POST
/
search-token
Search for token
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Token UUID, contract address (0x...), token layer ID (bytes32), symbol, or slug to search for
Minimum string length:
1Example:
"550e8400-e29b-41d4-a716-446655440000"
⌘I
